Subject: Re: Funny reflog has missing space

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Feb 2007 11:30:31 -0800

Andy Parkins <[email-masked]> writes:

> Hello,
>
> I've just peeked in my reflog (tail .git/logs/HEAD), and found something 
> strange:
>
> 72160ca5c05fab4fbd3c24c9b13cbd0651b60532 
> ca7b20e2677960cfc52c525b8f8bdf12ce79176b Andy Parkins <[email-masked]> 
> 1172589175 +0000commit: Log message goes here
>
> Notice that there is no space between the "+0000" and the "commit".  This is 
> true for every item in this log and every log in this repository.
>
> Over in another part of the forest, I've got my git repository.  This is fine, 
> and has the space where I would expect.  The only difference I can see is 
> that in one I'm using my long work email address, and in the git one I'm 
> using my shorter gmail address.
>
> Is this normal?  "git-reflog show" works fine in both cases.

It is not.  It would be good to find out who puts corrupted
entry.